"""$Id: """
#######################################################################
#                                                                     #
#                  copyright (c) 2003 Ingeniweb SARL                  #
#                                                                     #
#######################################################################

"""PloneSelenium FTest"""

from Products.PloneSelenium.Interpreter import PloneSeleniumInterpreter
from Products.PloneSelenium.FTestLibrary import FTestLibrary
from Products.PloneSelenium.FTest import FTest

class Suite(PloneSeleniumInterpreter, FTestLibrary):
    __allow_access_to_unprotected_subobjects__ = 1

    def __init__(self):
        self.suite = []
        self.language = 'en'

    def setBase(self, base):
        self.base = base

    def getBase(self):
        return self.base

    def setTargetLanguage(self, language):
        self.language = language

    def add(self, title, steps):
        """Add Sequence

        'title' is the name of the test sequence and all the other
        arguments are searched for strings: they signify the start of
        a new test step, all the step arguments till the next string
        are added to the step.
        """
        sequence=[]
        test={'title':title, 'steps':[]}
        test_steps=[]
        test_title=""
        for element in steps:
            if type(element)==type(""):
                if test_steps:
                    # Finish last step
                    sequence.append({'title':test_title, 'steps':test_steps})
                test_title=element # Fresh start
                test_steps=[]
            else:
                test_steps.append(element)
        if test_steps:
            # Finish last step
            sequence.append({'title':test_title, 'steps':test_steps})
        self.suite.append({'title':title, 'tests':sequence})


    def addTests(self, title, *steps):
        """Add Sequence
        """
        sequence=[]
        test={'title':title, 'steps':[]}
        test_steps=[]
        test_title=""
        for element in steps:
            if type(element)==type(""):
                if test_steps:
                    # Finish last step
                    if test_title:
                        sequence.append({'title':test_title, 'steps':test_steps})
                    else:
                        # Take the title of the whole test as a fallback
                        sequence.append({'title':title, 'steps':test_steps})
                test_title=element # Fresh start
                test_steps=[]
            elif hasattr(element, 'ftest'):
                for e in element.ftest:
                    test_steps.append(e)
            else:
                test_steps.append(element)

        if test_steps:
            # Finish last step
            sequence.append({'title':test_title, 'steps':test_steps})
        self.suite.append({'title':title, 'tests':sequence})

    def getTest(self):
        return FTest(self.base, self.language)

    #
    #   Test methods
    #

    def dispatchCommand(self, command, target="", value=""):
        if command in ('open','verifyLocation'):
            target = self.base + target
        return (command, target, value,)

    def getSuite(self):
        """Get Suite"""
        return self.suite
