##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""PloneSelenium product"""

try:
    import CustomizationPolicy
except ImportError:
    CustomizationPolicy=None

from Globals import package_home
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize


import Globals
from global_symbols import *
from Products.CMFCore.DirectoryView import registerDirectory

registerDirectory('skins', globals())
registerDirectory('skins/PloneSelenium', globals())

from Products.Zelenium import zelenium_globals    
registerDirectory('selenium', zelenium_globals)

PROJECTNAME = "PloneSelenium"

product_globals = globals()          # Used only in the Extensions/Install.py script

def initialize(context):
    import PloneSeleniumTool

    tools=[PloneSeleniumTool.PloneSeleniumTool,]
    
    # Make the selenium dir available in portal_skins


    utils.ToolInit( PROJECTNAME+' Tools',
                tools = tools,
                product_name = PROJECTNAME,
                icon='tool.gif'
                ).initialize( context )

    if CustomizationPolicy and hasattr(CustomizationPolicy,'register'):
        CustomizationPolicy.register(context)
        print 'Customizationpolicy for PloneSelenium installed'
