##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""PloneSelenium product"""

import os
import sys
import string

# Check if we have to be in debug mode
if os.path.isfile(os.path.abspath(os.path.dirname(__file__)) + '/debug.txt'):
    DEBUG_MODE = 1
else:
    DEBUG_MODE = 0

# Get version
__version_file_ = open(os.path.abspath(os.path.dirname(__file__)) + '/version.txt', 'r', )
PLONESELENIUM_VERSION = string.strip(__version_file_.read())
__version_file_.close()

# Set log options correctly
import Log
if DEBUG_MODE:
    Log.LOG_LEVEL = Log.LOG_DEBUG
else:
    Log.LOG_LEVEL = Log.LOG_NOTICE

from Log import *
Log = Log
Log(LOG_NOTICE, "Starting %s at %d debug level" % (os.path.dirname(__file__), LOG_LEVEL, ))

# Configlets
from Products.CMFCore import CMFCorePermissions

ploneselenium_prefs_configlet = {
    'id': 'ploneselenium',
    'appId': "PloneSelenium",
    'name': 'Plone Selenium Test Runner',
    'action': 'string:$portal_url/prefs_plone_selenium',
    'category': 'Products',
    'permission': (CMFCorePermissions.ManagePortal,),
    'imageUrl': 'ploneselenium.gif',
    }

layers = (("plone_selenium", "PloneSelenium/skins/PloneSelenium"),
          ("selenium", "Zelenium/selenium"))
