## Script (Python) "get_pemissions_deleteobjects_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone Delete Objects permission tests

""""
"Delete Objects" permission

In order to rename objects, you need both "Delete Objects" and "Copy objects"
permission.
   -  folder_rename_form.pt

One of the permissions that permits having the contents tab is "Delete objects".

  - plone_scripts/displayContentsTab.py
  - tests/testDisplayContentsTab.py  
    -> Revealed bug #4242 (http://members.plone.org/collector/4242)
       The "Review portal content" permission is missing from the display contents
       tab unit test.

Todo:
  Search the source code for uses of and "DeleteObjects"
"""


selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Search for listed and non-listed members",
    "Login as manager",
    suite.test_login_portlet('sampleadmin'),               
  )

suite.addTests("Delete Content",
    "Login as manager",
    suite.test_login_portlet('sampleadmin'),
    "Delete on Plone Site",
    suite.open('/'),
    suite.verifyElementNotPresent('folder_delete:method'),
    suite.open('/folder_contents'),
    suite.verifyElementPresent('folder_delete:method'),
    "Delete in Members",
    suite.open('/Members/folder_contents'),
    suite.verifyElementPresent('folder_delete:method'),
    "Add some test page in home folder",
    suite.test_add_page(folder='/Members/sampleadmin', title='page title', text='page text'),
    "Delete in Home Folder",
    suite.open('/Members/sampleadmin/folder_contents'),
    suite.verifyElementPresent('folder_delete:method'),
    suite.click('selectButton'),
    suite.clickAndWait('folder_delete:method'),    
    "Login as member",
    suite.test_login_portlet('samplemember'),
    "No Delete on Plone Site",
    suite.open('/'),
    suite.verifyElementNotPresent('folder_delete:method'),
    suite.open('/folder_contents'),
    "Delete in Members",
    suite.verifyElementNotPresent('folder_delete:method'),
    suite.open('/Members/folder_contents'),
    suite.verifyElementNotPresent('folder_delete:method'),
    "Add some test page in home folder",
    suite.test_add_page(folder='/Members/samplemember', title='page title', text='page text'),
    "Delete in Home Folder",
    suite.open('/Members/samplemember/folder_contents'),
    suite.verifyElementPresent('folder_delete:method'),
    suite.click('selectButton'),
    suite.clickAndWait('folder_delete:method'),    
    
  )


return suite
