## Script (Python) "get_permissions_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title="Plone permissions tests"

# Misc permission tests
# These should be moved into their proper test suite.

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)

selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Member can enable comments on its own document",
               "For starters, log out",
               suite.test_logout(),
               "Login as member",
               suite.test_login_portlet('samplemember'),
               "Add a page to the member's area",
               suite.test_add_page(folder='/Members/samplemember',
                                   id='samplepage',
                                   title='sample page title'),
               "Go to that page",
               suite.open('/Members/samplemember/samplepage'),
               "Go to the edit screen",
               # The next one "should" work. Check later.
               #suite.clickAndWait("id('contentview-edit')/a"),
               suite.clickAndWait("//li[@id='contentview-edit']//a"),
               suite.verifyElementPresent("//div[@class='formControls']"),
               "click the 'enabled' radio button",
               suite.verifyElementPresent("//input[@name='allowDiscussion']"),
               suite.verifyElementPresent("//input[@value='1']"),
               # The following doesn't work... Bug
               #suite.click('//input[@name="allowDiscussion" and @value="1"]'),
               suite.click("//input[@id='allowDiscussion_8']"),
               "click submit",
               suite.clickAndWait("//input[@name='form_submit']"),
               "Go to the view",
               suite.clickAndWait("//li[@id='contentview-view']//a"),
               "check that the 'add comment' button is there",
               suite.verifyElementPresent("//input[@value='Add Comment']"),
               "Kill off the file again",
               suite.test_delete_object(folder='/Members/samplemember',
                                        id='samplepage')
               )

suite.addTests("Anonymous cannot edit a members page",
               #"XXX The object is deleted at the end of the last test! This test depends on the previous one, test for it",
               #suite.verifyTitle('sample page title'),
               "For starters, log out so that we're anonymous",
               suite.test_logout(),
               "Go back to that previous member's page",
               suite.open('/Members/samplemember/'),
               "Verify that you don't have an edit view",
               # The next one "should" work. Check later.
               #suite.clickAndWait("id('contentview-edit')/a"),
               suite.verifyElementNotPresent("//li[@id='contentview-edit']//a"),
               )
               
suite.addTests("Member cannot edit homepage",
               "For starters, log out",
               suite.test_logout(),
               "Login as member",
               suite.test_login_portlet('samplemember'),
               "Go to the homepage",
               suite.open('/'),
               "Verify that you don't have an edit view",
               # The next one "should" work. Check later.
               #suite.clickAndWait("id('contentview-edit')/a"),
               suite.verifyElementNotPresent("//li[@id='contentview-edit']//a"),
               )

return suite
