## Script (Python) "get_permissions_listfoldercontents_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone List folder contents permission tests

"""
In a Plone Site, Manager and Owner have "List Folder contents"
permission.

If an object is not folderish or is the parent folder's default page,
then the folder_contents action is for the parent, check permissions there.

If you have the list folder contents permission of the relavant object, and
you can DO SOMETHING in a folder_contents view. i.e. Copy or Move, or Modify
portal content, Add portal content, delete objects, or review portal content.
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Contents Tab",
    "Login as manager",
    suite.test_login_portlet('sampleadmin'),               
    "Check contents tab present",
    suite.open('/'),
    suite.verifyElementPresent("//li[@id='contentview-folderContents']"),
    "Login as member",
    suite.test_login_portlet('samplemember'),               
    "Check contents tab not present",
    suite.open('/'),
    suite.verifyElementNotPresent("//li[@id='contentview-folderContents']"),
  )

return suite
