## Script (Python) "get_permissions_mailforgottenpassword_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone Mail forgotten password tests

"""

MailForgottenPassword = 'Mail forgotten password'

"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])

suite.addTests("Mail forgotten password",
    "Login as admin",
    suite.test_login_portlet('sampleadmin'),
    "Don't allow sending forgotten passwords",
    suite.open("/manage_permission?roles:list=Manager&permission_to_manage=Mail%20forgotten%20password"),
 
    "Logout",
    suite.test_logout(),
    suite.open('/'),
    
    "Not link to sending forgotten password",
    suite.verifyTextNotPresent("Forgot your password?"),

    "Anonymous types the link to the mail password form",
    suite.open("/mail_password_form"),

    "Anonymous should not see the Lost password form (Test fails)",
    suite.verifyTextNotPresent("Lost Password"),

    "Anonymous tries to mail password",
    suite.open("/mail_password_form"),
    suite.type("userid", "samplemember"),
    suite.clickAndWait("//input[@value='Send me my password']"),
    suite.verifyTextPresent("Please log in"),

    "Login as member",
    suite.test_login_portlet('samplemember'),
    suite.open('/'),
    suite.verifyTextNotPresent("Forgot your password?"),
    
    "Member types the link to the mail password form",
    suite.open("/mail_password_form"),
    "Mail the password fails",
    suite.type("userid", "samplemember"),
    suite.clickAndWait("//input[@value='Send me my password']"),
    suite.verifyTextPresent("Insufficient Privileges"),
    
    "Login as admin",
    suite.test_login_portlet('sampleadmin'),
    "Don't allow sending forgotten passwords",
    suite.open("/manage_permission?roles:list=Manager&permission_to_manage=Mail%20forgotten%20password"),
 
    "Set Mail forgotten password permission",
    suite.open("/manage_permission?roles:list=Manager&roles:list=Anonymous&permission_to_manage=Mail%20forgotten%20password"),

    "Logout",
    suite.test_logout(),

    "Verify link to sending forgotten password",
    suite.open('/'),
    suite.verifyTextPresent("Forgot your password?"),
    
  )

return suite
