## Script (Python) "get_permissions_requestreview_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone RequestReview tests

"""

RequestReview = 'Request review'

Owner and Manager can request review.

Unfortunately, this is not specified explicitly on the Plone site, but acquired
from the Zope root.

The submit and retract transitions in the plone_workflow are guarded by
Request review. These are tested in the workflow functional tests.
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])

suite.addTests("Review portal content",
    "Login as manager",
    suite.test_login_portlet('samplereviewer'),
    "Reviewer has review portal content permission",
    suite.open('/manage_permissionForm?permission_to_manage=Request%20review'),
    suite.verifySelected('roles:list', 'Manage, Owner'),
    "Reviewer can publish",
    suite.open('/portal_workflow/plone_workflow/transitions/submit/manage_workspace'),
    suite.verifyValue('guard_permissions', "Request review"),
    "Reviewer can reject",
    suite.open('/portal_workflow/plone_workflow/transitions/retract/manage_properties'),
    suite.verifyValue('guard_permissions', "Request review"),            
  )

return suite
