## Script (Python) "get_permissions_reviewportalcontent_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Plone ReviewPortalContent tests

"""

ReviewPortalContent = 'Review portal content'

plone_scripts/showEditableBorder
-> If Review allowed, the editable border is shown

plone_scripts/displayContentsTab
-> If Review allowed, show the contents tab

Review portal contents or or Modify portal contents is sufficient to show the
change_state action.

The publish and reject transitions in the plone_workflow are guarded by
Review portal contents. These are tested in the workflow functional tests.

"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplereviewer',
                 fullname='Sample Reviewer',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Review portal content",
    "Login as manager",
    suite.test_login_portlet('samplereviewer'),
    "Reviewer has review portal content permission",
    suite.open('/manage_permissionForm?permission_to_manage=Review%20portal%20content'),
    suite.verifySelected('roles:list', 'Reviewer'),
    "Reviewer can publish",
    suite.open('/portal_workflow/plone_workflow/transitions/publish/manage_properties'),
    suite.verifyValue('guard_permissions', "Review portal content"),
    "Reviewer can reject",
    suite.open('/portal_workflow/plone_workflow/transitions/reject/manage_properties'),
    suite.verifyValue('guard_permissions', "Review portal content"),    
    "Login as reviewer",
    suite.test_login_portlet('samplereviewer'),               
    suite.open('/'),
        
  )

return suite
