## Script (Python) "get_permissions_setownPassword_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "Change password"

""""
Member wants to "Change password"  
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Change password",
    "Login as member",
    suite.test_login_portlet('samplemember'),               
    "Cancel change password",
    suite.open('/plone_memberprefs_panel'),
    suite.verifyTextPresent("Change Password"),
    suite.open('/password_form'),
    suite.clickAndWait("cancel"),    
    suite.verifyTextPresent("Password change was canceled."),    
    "Change without filling in form",
    suite.open('/password_form'),
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Does not match current password."), # Well, nothing is filled in, actually
    "Change with wrong current password",
    suite.open('/password_form'),
    suite.type('current','admin_wrong'),
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Does not match current password."),
    "Change without filling in new password and confirmation",
    suite.open('/password_form'),
    suite.type('current','admin'),
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("You must enter a password."), # Well, both the new and the confirmation, actually
    "Change to too short password",
    suite.open('/password_form'),
    suite.type('current','admin'),
    suite.type('password','admi'),
    suite.type('password_confirm', 'admi'),  
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Your password must contain at least 5 characters."),
    "Non matching password",
    suite.open('/password_form'),
    suite.type('current','admin'),
    suite.type('password','admin1'),
    suite.type('password_confirm', 'admin2'),  
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Your password and confirmation did not match."),
    "Wrong password",
    suite.open('/password_form'),
    suite.type('current','admin_wrong'),
    suite.type('password','admin'),
    suite.type('password_confirm', 'admin'),  
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Does not match current password."),
    "Change password",    
    suite.open('/password_form'),
    suite.type('current','admin'),
    suite.type('password','admin'),
    suite.type('password_confirm', 'admin'),  
    suite.clickAndWait("//input[@value='Change Password']"),
    suite.verifyTextPresent("Password changed."),
  )

return suite
