## Script (Python) "get_usecase_enablecomments_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Enable comments

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)

selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Member can enable comments on its own document",
               "Login as member",
               suite.test_login_portlet('samplemember'),
               "Add page",
               suite.test_add_page(folder='/Members/samplemember', id='samplepage'),
               "Edit page",
               suite.clickAndWait("//li[@id='contentview-edit']//a"),
               suite.verifyElementPresent("//div[@class='formControls']"),
               "Allow discussion",
               suite.verifyElementPresent("//input[@name='allowDiscussion']"),
               suite.verifyElementPresent("//input[@value='1']"),
               # The following doesn't work... Bug
               #suite.click('//input[@name="allowDiscussion" and @value="1"]'),
               suite.click("//input[@id='allowDiscussion_8']"),
               "click submit",
               suite.clickAndWait("//input[@name='form_submit']"),
               "Go to the view",
               suite.clickAndWait("//li[@id='contentview-view']//a"),
               "check that the 'add comment' button is there",
               suite.verifyElementPresent("//input[@value='Add Comment']"),
               "Kill off the file again",
               suite.test_delete_object(folder='/Members/samplemember',
                                        id='samplepage')
               )

return suite
