## Script (Python) "get_usecase_localroles_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "Local Roles"

""""
Member wants to assign local roles  
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])
selenium.addUser(id='othermember',
                 fullname='Other Member',
                 roles=['Member',])

suite.addTests("Local Roles",
    "Login as sampleadmin",
    suite.test_login_portlet('sampleadmin'),               
    "Add some folders",
    suite.open("/folder_delete?ids:list=A"),
    suite.test_add_folder(folder="/",id="A"),
    suite.test_add_folder(folder="/A",id="B"),
    suite.test_add_folder(folder="/A/B",id="C"),
    "Give Owner Role in C",
    suite.open('/A/B/C/folder_localrole_form'),
    suite.clickAndWait("//input[@value='Perform Search']"),
    suite.click("//input[@value='samplemember']"),
    suite.select("member_role:list","Owner"),
    suite.clickAndWait("//input[@value='Assign Local Role to Selected User(s)']"),
    "Give Owner Role in B",
    suite.open('/A/B/folder_localrole_form'),
    suite.clickAndWait("//input[@value='Perform Search']"),
    suite.click("//input[@value='samplemember']"),
    suite.select("member_role:list","Owner"),
    suite.clickAndWait("//input[@value='Assign Local Role to Selected User(s)']"),
     "Give Owner Role in A",
    suite.open('/A/folder_localrole_form'),
    suite.clickAndWait("//input[@value='Perform Search']"),
    suite.click("//input[@value='samplemember']"),
    suite.select("member_role:list","Owner"),
    suite.clickAndWait("//input[@value='Assign Local Role to Selected User(s)']"),
    "Give Reviewer Role in A",
    suite.open('/A/folder_localrole_form'),
    suite.click("//input[@value='samplemember']"),    
    suite.click("//input[@value='Reviewer']"),
    suite.clickAndWait("folder_localrole_add:method"),
  )

return suite
