## Script (Python) "get_usecase_newuser_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "New user"

""""
New user wants to join the site.
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("New user",
    "Login as Sample Admin",
    suite.test_login_portlet('sampleadmin'),                   
    "Delete Member if existing",
    suite.open('/prefs_users_overview'),
    suite.open('/prefs_user_manage?delete:list=newmember'),
    "New user forgets confirmation.",
    suite.test_logout(),
    suite.open('/join_form'),
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent(' Please correct the indicated errors.'),
    suite.type('username', 'newmember'),
    suite.type('email', 'newmember@member.com'),
    suite.type('password', 'admin'),
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent('Please correct the indicated errors.'),
    suite.verifyTextPresent('Passwords do not match.'),
    "New user selects too short password",
    suite.type('password','admi'),
    suite.type('password_confirm', 'admi'),  
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent('Please correct the indicated errors.'),
    suite.verifyTextPresent("Passwords must contain at least 5 letters."),
    "New user enters passwords that don't match",
    suite.type('password','admin'),
    suite.type('password_confirm', 'admi'),  
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent('Please correct the indicated errors.'),
    suite.verifyTextPresent("Passwords do not match."),
    "New user successfully joins",    
    suite.type('password', 'admin'),
    suite.type('password_confirm', 'admin'),
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent('You have been registered.'),
    "New user logs in directly",
    suite.clickAndWait("//input[@value='Log in']"),
    suite.verifyTextPresent('You are now logged in'),
    "Fail to join with existing login",
    suite.test_logout(),
    suite.open('/join_form'),
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent(' Please correct the indicated errors.'),
    suite.type('username', 'newmember'),
    suite.type('email', 'newmember@member.com'),
    suite.type('password', 'admin'),
    suite.type('password_confirm', 'admin'),
    suite.clickAndWait('form.button.Register'),
    suite.verifyTextPresent('The login name you selected is already in use or is not valid. Please choose another.'),
    
  )

return suite
