## Script (Python) "get_usecase_passwordforgotten_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "Password forgotten"

""""
Member has forgotten the password
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Password forgotten",
    "Logout",
    suite.open("/logout"),
    suite.open("/"),
    "Submit without filling in login (fails)",
    suite.open("/mail_password_form"), # Need to be able to identify the link, e.g. id="lost_password"
    suite.verifyTextPresent("Lost Password"),
    suite.clickAndWait("//input[@value='Send me my password']"),
    suite.verifyTextPresent("Site error"), # There should be a better error message!
    suite.verifyTextPresent("The username you entered could not be found"),
    "Submit with bogus login (fails)",
    suite.open("/mail_password_form"), # Need to be able to identify the link, e.g. id="lost_password"
    suite.type("userid", "bogus user name"),
    suite.clickAndWait("//input[@value='Send me my password']"),
    suite.verifyTextPresent("Site error"), # There should be a better error message!
    suite.verifyTextPresent("The username you entered could not be found"),
    "Submit with correct login",
    suite.open("/mail_password_form"), # Need to be able to identify the link, e.g. id="lost_password"
    suite.type("userid", "samplemember"),
    suite.clickAndWait("//input[@value='Send me my password']"),
    suite.verifyTextPresent("Password sent"),
    
  )

return suite
