## Script (Python) "get_usecase_personalpreferences_ftests"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Use case "Personal preferences"

""""
Member sets the personal preferences
"""

selenium = context.portal_selenium
suite = selenium.getSuite()
target_language = 'en'
suite.setTargetLanguage(target_language)
selenium.addUser(id='sampleadmin',
                 fullname='Sample Admin',
                 roles=['Member', 'Manager',])
selenium.addUser(id='samplemember',
                 fullname='Sample Member',
                 roles=['Member',])

suite.addTests("Personal Preferences",
    "Change User name",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("fullname", "Sample 123"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("fullname", "Sample 123"),
    "Change Email",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("email", "Sample123@sample.com"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("email", "Sample123@sample.com"),
    "Change Location (XXX fails)",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("location", "France"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("location", "France"),
    "Change Description",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("description", "This is the sample member 123"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("description", "This is the sample member 123"),
    "Change Content editor (XXX None installed?)",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("wysiwyg_editor", "Epoz"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("wysiwyg_editor", "Epoz"),
    "Change external editor",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.type("ext_editor", "0"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("ext_editor", "0"),
    "Listed in searches",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.click("listed"),
    suite.clickAndWait("form.button.Save"),
    suite.assertValue("listed", "0"),
    "Change portrait XXX can't select file from file system",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.verifyAttribute("//img[@class='portraitPhoto']@src", context.REQUEST.get('SERVER_URL')+suite.getBase()+'/defaultUser.gif'),
    suite.verifyElementNotPresent("delete_portrait"), # Delete checkbox should not be shown when there is no image
    suite.type('portrait', 'C:\Temp\maik_100_75.jpg'),
    suite.clickAndWait("form.button.Save"),
    suite.verifyAttribute("//img[@class='portraitPhoto']@src", context.REQUEST.get('SERVER_URL')+suite.getBase()+'/portal_memberdata/portraits/samplemember'),
    suite.verifyElementPresent("delete_portrait"),
    "Delete portrait",
    suite.test_login_portlet('samplemember'),
    suite.open("/personalize_form"),
    suite.click("delete_portrait"),
    suite.clickAndWait("form.button.Save"),
    suite.verifyAttribute("//img[@class='portraitPhoto']@src", context.REQUEST.get('SERVER_URL')+suite.getBase()+'/defaultUser.gif'),
    "Cancel button",
  )

return suite
