## Script (Python) "prefs_export_ftest_to_zelenium"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=export ftest to zelenium
##

TEST_CASE_HEADER = """\
<html>
<head>
<title>%s</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
 <tbody>
  <tr>
   <td rowspan="1" colspan="3">%s<br>
  </td>
 </tr>
"""

TEST_CASE_FOOTER = """
 </tbody>
</table>
</body>
</html>
"""

COMMAND_SKELETON = """
  <tr>
   <td>%s</td>
   <td>%s</td>
   <td>%s</td>
  </tr>
"""

ftest = context.REQUEST.get('ftest')
suites = context.portal_selenium.getTestSuiteRegistry()
portal = context.portal_url.getPortalObject()

if 'zuite' in portal.objectIds():
    pass # Ok, so we can add the test to the suite
else:
    # Just in case there is no zuite yet.
    portal.manage_addProduct['Zelenium'].manage_addZuite(id='zuite', title='Zuite')
zuite_id=context.zuite.generateUniqueId('zuite')
portal.zuite.manage_addProduct['Zelenium'].manage_addZuite(id=zuite_id, title='Zuite')

for t in suites.getSuite(ftest).getFTests():
    table = ""
    table += TEST_CASE_HEADER % (t.getName(),t.getName())
    for ft in t.getFTests():
       for c in ft.getCommands():
          table += COMMAND_SKELETON % (c.getCommand(), c.getTarget(), c.getValue() or '&nbsp;') 
    table += TEST_CASE_FOOTER
    id=context.zuite.generateUniqueId(t.getName())
    portal.zuite[zuite_id].manage_addFile(id, file=table, title = t.getName(), content_type = 'text/html')
    
context.REQUEST.RESPONSE.redirect(context.portal_url.getPortalPath() + '/zuite/' + zuite_id)

